-- YGREC8/VHDL/TAP/MUX64/MUX64_behav-rev.vhdl
-- created mar. juil. 21 21:07:06 CEST 2020 by whygee@f-cpu.org
-- version dim. août  2 00:57:09 CEST 2020
--
-- Released under the GNU AGPLv3 license
--
-- This is a MUX64 that uses the standard VHDL idiom.
-- The order is reversed to provide "MSB first" PISO.
-- Only useful for high-level simulations.

Library ieee;
    use ieee.std_logic_1164.all;
Library SLV;
    use SLV.SLV_utils.all;

entity MUX64 is
  port(
    leaves : in SLV64;
    CTRL : in SLV6;
    root : out SL);
end MUX64;

architecture behavioral of MUX64 is
begin
  root <= leaves(63 - safe_to_integer(CTRL)); -- what else ?
end behavioral;

