-- Testing the ability to define a central generic value.
-- Allegedly coming from "VHDL-2008 Just the new stuff", Peter J.Ashenden and Jim Lewis, page 8

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

package test_2008 is
  generic ( G_TEST  : natural := 21 );
  procedure test;
end package test_2008;

package body test_2008 is
  procedure test is begin
    report "G_TEST: " & integer'image(G_TEST);
  end procedure test;    
end package body;


entity generics2008 is
end entity generics2008;

package MyTestPkg is new work.test_2008 generic map (G_TEST => 42);

architecture sim of generics2008 is
  use work.MyTestPkg.all;
begin
  test;
end architecture sim;
